{
  "name": "freeplanet",
  "version": "0.0.8",
  "description": "FreePlanet",
  "productName": "FreePlanet",
  "author": "Surya",
  "private": true,
  "keywords": [
  ],
  "license": "MIT",
  "scripts": {
    "dev": "quasar dev",
    "build": "NODE_ENV=production quasar build",
    "buildpwa": "NODE_ENV=production quasar build -m pwa",
    "buildpwatest": "NODE_ENV=test quasar build -m pwa",
    "buildspa": "NODE_ENV=production quasar build -m spa",
    "lint": "eslint --ext .js,.ts,.vue --ignore-path .gitignore ./",
    "lintfile": "eslint --ext .js,.ts,.vue --ignore-path .gitignore ./ > file.out.txt",
    "lintfileNoJS": "eslint --ext .ts,.vue --ignore-path .gitignore ./ > file.out.txt",
    "fix": "eslint --ext .ts,.vue --ignore-path .gitignore ./ --fix > file.out.txt",
    "pwa": "NODE_ENV=development NODE_OPTIONS=--max_old_space_size=4096 DEBUG=v8:* quasar dev -m pwa",
    "test": "echo \"No test specified\" && exit 0",
    "generate-sw": "workbox generateSW workbox-config.js"
  },
  "dependencies": {
    "@babel/plugin-proposal-class-properties": "^7.18.6",
    "@babel/plugin-proposal-export-namespace-from": "^7.18.9",
    "@babel/plugin-proposal-json-strings": "^7.18.6",
    "@babel/plugin-proposal-numeric-separator": "^7.18.6",
    "@babel/runtime": "^7.25.7",
    "@cubejs-client/core": "^0.36.4",
    "@quasar/extras": "^1.16.12",
    "@quasar/quasar-ui-qcalendar": "^4.0.0-beta.19",
    "@types/leaflet": "^1.9.12",
    "@vue/compat": "^3.5.10",
    "@vue/compiler-sfc": "^3.5.10",
    "@vue/eslint-config-standard": "^8.0.1",
    "@vuelidate/core": "^2.0.3",
    "@vuelidate/validators": "^2.0.4",
    "acorn": "^8.12.1",
    "animate.css": "^4.1.1",
    "autoprefixer": "^10.4.20",
    "axios": "^1.7.7",
    "bcryptjs": "^2.4.3",
    "chart.js": "^4.4.4",
    "core-js": "^3.38.1",
    "crypto-browserify": "^3.12.0",
    "date-fns": "^4.1.0",
    "dotenv": "^16.4.5",
    "echarts": "5.5.1",
    "eslint-plugin-n": "^17.10.3",
    "eslint-plugin-quasar": "^1.1.0",
    "graphql": "^16.9.0",
    "graphql-tag": "^2.12.6",
    "gsap": "^3.12.5",
    "html2pdf.js": "^0.10.2",
    "jquery": "^3.7.1",
    "js-cookie": "^3.0.5",
    "leaflet": "^1.9.4",
    "leaflet-routing-machine": "^3.2.12",
    "leaflet.markercluster": "^1.5.3",
    "localforage": "^1.10.0",
    "lodash": "^4.17.21",
    "normalize.css": "^8.0.1",
    "npm": "^10.8.3",
    "nprogress": "^0.2.0",
    "pinia": "^2.2.4",
    "quasar": "^2.17.0",
    "quasar-extras": "^2.0.9",
    "register-service-worker": "^1.7.2",
    "typescript-eslint": "^8.8.0",
    "vee-validate": "^4.13.2",
    "vue": "^3.5.10",
    "vue-class-component": "^8.0.0-rc.1",
    "vue-country-code": "^1.1.3",
    "vue-echarts": "^7.0.3",
    "vue-i18n": "^9.14.1",
    "vue-idb": "^0.2.0",
    "vue-image-zoomer": "^2.4.1",
    "vue-loader": "^17.4.2",
    "vue-property-decorator": "^10.0.0-rc.3",
    "vue-router": "^4.4.5",
    "vue-scroll-reveal": "^2.1.0",
    "vue-social-sharing": "^4.0.0-alpha4",
    "vue-svgicon": "^4.0.0-alpha.3",
    "vue-timeago3": "^2.3.2",
    "vue2-dragula": "^2.5.5",
    "vue3-pdf-app": "^1.0.3",
    "vuex": "^4.1.0",
    "vuex-router-sync": "^6.0.0-rc.1"
  },
  "devDependencies": {
    "@babel/core": "^7.25.7",
    "@babel/plugin-transform-class-properties": "^7.25.7",
    "@babel/plugin-transform-export-namespace-from": "^7.25.7",
    "@babel/plugin-transform-json-strings": "^7.25.7",
    "@babel/plugin-transform-numeric-separator": "^7.25.7",
    "@babel/plugin-transform-runtime": "^7.25.7",
    "@quasar/app-webpack": "^3.14.0",
    "@types/bcryptjs": "^2.4.6",
    "@types/dotenv": "^8.2.0",
    "@types/google.maps": "^3.58.1",
    "@types/jest": "^29.5.13",
    "@types/js-cookie": "^3.0.6",
    "@types/node": "22.7.4",
    "@types/nprogress": "^0.2.3",
    "@types/vue-tel-input": "^2.1.7",
    "@types/vuelidate": "^0.7.21",
    "@typescript-eslint/eslint-plugin": "^8.8.0",
    "@typescript-eslint/parser": "^8.8.0",
    "babel-loader": "^9.2.1",
    "copy-webpack-plugin": "^12.0.2",
    "eslint": "^9.11.1",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-import": "^2.31.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^7.1.0",
    "eslint-plugin-vue": "^9.28.0",
    "file-loader": "^6.2.0",
    "fork-ts-checker-webpack-plugin": "^9.0.2",
    "friendly-errors-webpack-plugin": "^1.7.0",
    "html-webpack-plugin": "^5.6.0",
    "http-proxy-middleware": "^3.0.2",
    "jest": "^29.7.0",
    "json-loader": "^0.5.7",
    "node-sass": "^9.0.0",
    "npm-check-updates": "^17.1.3",
    "optimize-css-assets-webpack-plugin": "^6.0.1",
    "parcel": "^2.12.0",
    "postcss": "^8.4.47",
    "postcss-loader": "^8.1.1",
    "sass-loader": "^16.0.2",
    "strip-ansi": "=7.1.0",
    "ts-jest": "^29.2.5",
    "ts-loader": "^9.5.1",
    "typescript": "5.6.2",
    "vue-cli-plugin-element-ui": "^1.1.4",
    "vueify": "^9.4.1",
    "webpack": "^5.95.0",
    "webpack-dashboard": "^3.3.8",
    "workbox-webpack-plugin": "^7.1.0"
  },
  "browser": {
    "crypto": false
  },
  "browserslist": [
    "last 13 Chrome versions",
    "last 13 Firefox versions",
    "last 4 Edge versions",
    "last 13 Safari versions",
    "last 14 Android versions",
    "last 14 ChromeAndroid versions",
    "last 14 FirefoxAndroid versions",
    "last 10 iOS versions",
    "last 5 Opera versions"
  ],
  "engines": {
    "node": ">= 16.14.0",
    "npm": ">= 6.14.8",
    "yarn": ">= 1.21.1"
  }
}
